User

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class User

    java.lang.Object
      com.fenalco.entities.User

    public class User

extends java.lang.Object

Author:
  Esta clase representa a un usuario del sistema, esta información se usará para el inicio de sesión.

Field Summary
`private int` | `companyId` String que representa al identificador de la compañía a la cual pertenece el usuario
`private java.lang.String` | `companyName` Nombre de la empresa a la que pertenece el usuario
`private java.lang.String` | `email` Correo electrónico del usuario
`private java.lang.String` | `firstName` nombre del usuario
`private java.lang.String` | `identificationNumber` Número de identificación del usuario (idealmente es la cédula)
`private java.lang.String` | `lastName` Apellido del usuario
`private java.lang.String` | `login` nombre de usuario para el inicio de sesión
`private java.lang.String` | `nuritLogin` codigo de acceso para iniciar sesión desde un dispositivo nurit ( aunque este atributo es de tipo string va a almacenar un dato numérico)
`private java.lang.String` | `nuritPassword` contraseña para iniciar sesión desde un dispositivo nurit ( aunque este atributo es de tipo string va a almacenar un dato numérico)
`private java.lang.String` | `password` la contraseña para el inicio de sesión (encriptada)
`private java.lang.String` | `phoneNumber` Número telefónico del usuario
`private int` | `positionId` Identificador del cargo del usuario
`private java.lang.String` | `positionName` Cargo del usuario dentro de la empresa a la cual representa
`private int` | `roleId` Identificador del rol que juega el usuario dentro del sistema
`private java.lang.String` | `roleName` Nombre del rol que juega el usuario dentro del sisitema

Constructor Summary
`User()` Constructor por defecto de la clse
`User(java.lang.String login)` Constructor que recibe el nombre de usuario y carga los datos de la base de datos llamando al método loadData

Method Summary
`boolean` | `delete(Transaction transaction)` Elimina a un usuario de la base de datos usando el método `addSql` de la transacción
`int` | `getCompanyId()` Getter for property companyId.
`java.lang.String` | `getCompanyName()` Getter para el atributo companyName.
`java.lang.String` | `getEmail()` Getter para el atributo email.
`java.lang.String` | `getFirstName()` Getter para el atributo firstName.
`java.lang.String` | `getIdentificationNumber()` Getter para el atributo identificationNumber.
`java.lang.String` | `getLastName()` Getter para el atributo lastName.
`java.lang.String` | `getLogin()` Getter para el atributo login.
`java.lang.String` | `getNuritLogin()` Getter para el atributo nuritLogin.
`java.lang.String` | `getNuritPassword()` Getter para el atributo nuritPassword.
`java.lang.String` | `getPassword()` Getter for property password.
`java.lang.String` | `getPhoneNumber()` Getter para el atributo phoneNumber
`int` | `getPositionId()` Getter for property positionId.
`java.lang.String` | `getPositionName()` Getter for property positionName.
`int` | `getRoleId()` Getter para el atributo roleId.
`java.lang.String` | `getRoleName()` Getter para el atributo roleName.
`boolean` | `loadData(java.lang.String login)` carga los datos del usuario de la base de datos dado el nombre de usuario y retorna un booleano que indica si se pudieron cargar los datos o no
`boolean` | `saveData(Transaction transaction)` almacena la información del usuario en la base de datos usando el método `addSql` de la transacción
`void` | `setCompanyId(int companyId)` Setter for property companyId.
`void` | `setCompanyName(java.lang.String companyName)` Setter para el atributo companyName.
`void` | `setEmail(java.lang.String email)` Setter para el atributo email.
`void` | `setFirstName(java.lang.String firstName)` Setter para el atributo firstName.
`void` | `setIdentificationNumber(java.lang.String identificationNumber)` Setter para el atributo identificationNumber.
`void` | `setLastName(java.lang.String lastName)` Setter para el atributo lastName.
`void` | `setLogin(java.lang.String login)` Setter para el atributo login.
`void` | `setNuritLogin(java.lang.String nuritLogin)` Setter para el atributo nuritLogin.
`void` | `setNuritPassword(java.lang.String nuritPassword)` Setter para el atributo nuritPassword.
`void` | `setPassword(java.lang.String password)` Setter para el atributo password.
`void` | `setPhoneNumber(java.lang.String phoneNumber)` Setter para el atributo phoneNumber
`void` | `setPositionId(int positionId)` Setter for property positionId.
`void` | `setPositionName(java.lang.String positionName)` Setter for property positionName.
`void` | `setRoleId(int roleId)` Setter para el atributo roleId.
`void` | `setRoleName(java.lang.String roleName)` Setter para el atributo roleName.
`boolean` | `update(Transaction transaction)` actualiza la información del usaurio en la base de datos usando el método `addSql` de la transacción

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### login

    private java.lang.String login

  nombre de usuario para el inicio de sesión

### password

    private java.lang.String password

  la contraseña para el inicio de sesión (encriptada)

### nuritLogin

    private java.lang.String nuritLogin

  codigo de acceso para iniciar sesión desde un dispositivo nurit ( aunque este atributo es de tipo string va a almacenar un dato numérico)

### nuritPassword

    private java.lang.String nuritPassword

  contraseña para iniciar sesión desde un dispositivo nurit ( aunque este atributo es de tipo string va a almacenar un dato numérico)

### firstName

    private java.lang.String firstName

  nombre del usuario

### lastName

    private java.lang.String lastName

  Apellido del usuario

### positionId

    private int positionId

  Identificador del cargo del usuario

### positionName

    private java.lang.String positionName

  Cargo del usuario dentro de la empresa a la cual representa

### email

    private java.lang.String email

  Correo electrónico del usuario

### identificationNumber

    private java.lang.String identificationNumber

  Número de identificación del usuario (idealmente es la cédula)

### companyId

    private int companyId

  String que representa al identificador de la compañía a la cual pertenece el usuario

### companyName

    private java.lang.String companyName

  Nombre de la empresa a la que pertenece el usuario

### roleId

    private int roleId

  Identificador del rol que juega el usuario dentro del sistema

### roleName

    private java.lang.String roleName

  Nombre del rol que juega el usuario dentro del sisitema

### phoneNumber

    private java.lang.String phoneNumber

  Número telefónico del usuario

Constructor Detail

### User

    public User()

  Constructor por defecto de la clse

### User

    public User(java.lang.String login)

  Constructor que recibe el nombre de usuario y carga los datos de la base de datos llamando al método loadData

  Parameters:
    `login` - el nombre de usuario

Method Detail

### loadData

    public boolean loadData(java.lang.String login)

  carga los datos del usuario de la base de datos dado el nombre de usuario y retorna un booleano que indica si se pudieron cargar los datos o no

  Parameters:
    `login` - el nombre de usuario
  Returns:
    booleano que indica si se pudo cargar los datos o no

### saveData

    public boolean saveData(Transaction transaction)

  almacena la información del usuario en la base de datos usando el método `addSql` de la transacción

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudieron guardar los datos o no

### update

    public boolean update(Transaction transaction)

  actualiza la información del usaurio en la base de datos usando el método `addSql` de la transacción

  Parameters:
    `transaction` - la transacción que se está ejecutando

### delete

    public boolean delete(Transaction transaction)

  Elimina a un usuario de la base de datos usando el método `addSql` de la transacción

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    un booleano que indica si se pudo eliminar al usuario o no

### getLogin

    public java.lang.String getLogin()

  Getter para el atributo login.

  Returns:
    Valor del atributo login.

### setLogin

    public void setLogin(java.lang.String login)

  Setter para el atributo login.

  Parameters:
    `login` - Nuevo Valor del atributo login.

### getPassword

    public java.lang.String getPassword()

  Getter for property password.

  Returns:
    Value of property password.

### setPassword

    public void setPassword(java.lang.String password)

  Setter para el atributo password.

  Parameters:
    `password` - Nuevo Valor del atributo password.

### getNuritLogin

    public java.lang.String getNuritLogin()

  Getter para el atributo nuritLogin.

  Returns:
    Valor del atributo nuritLogin.

### setNuritLogin

    public void setNuritLogin(java.lang.String nuritLogin)

  Setter para el atributo nuritLogin.

  Parameters:
    `nuritLogin` - Nuevo Valor del atributo nuritLogin.

### getNuritPassword

    public java.lang.String getNuritPassword()

  Getter para el atributo nuritPassword.

  Returns:
    Valor del atributo nuritPassword.

### setNuritPassword

    public void setNuritPassword(java.lang.String nuritPassword)

  Setter para el atributo nuritPassword.

  Parameters:
    `nuritPassword` - Nuevo Valor del atributo nuritPassword.

### getFirstName

    public java.lang.String getFirstName()

  Getter para el atributo firstName.

  Returns:
    Valor del atributo firstName.

### setFirstName

    public void setFirstName(java.lang.String firstName)

  Setter para el atributo firstName.

  Parameters:
    `firstName` - Nuevo Valor del atributo firstName.

### getLastName

    public java.lang.String getLastName()

  Getter para el atributo lastName.

  Returns:
    Valor del atributo lastName.

### setLastName

    public void setLastName(java.lang.String lastName)

  Setter para el atributo lastName.

  Parameters:
    `lastName` - Nuevo Valor del atributo lastName.

### getEmail

    public java.lang.String getEmail()

  Getter para el atributo email.

  Returns:
    Valor del atributo email.

### setEmail

    public void setEmail(java.lang.String email)

  Setter para el atributo email.

  Parameters:
    `email` - Nuevo Valor del atributo email.

### getIdentificationNumber

    public java.lang.String getIdentificationNumber()

  Getter para el atributo identificationNumber.

  Returns:
    Valor del atributo identificationNumber.

### setIdentificationNumber

    public void setIdentificationNumber(java.lang.String identificationNumber)

  Setter para el atributo identificationNumber.

  Parameters:
    `identificationNumber` - Nuevo Valor del atributo identificationNumber.

### getCompanyName

    public java.lang.String getCompanyName()

  Getter para el atributo companyName.

  Returns:
    Valor del atributo companyName.

### setCompanyName

    public void setCompanyName(java.lang.String companyName)

  Setter para el atributo companyName.

  Parameters:
    `companyName` - Nuevo Valor del atributo companyName.

### getRoleId

    public int getRoleId()

  Getter para el atributo roleId.

  Returns:
    Valor del atributo roleId.

### setRoleId

    public void setRoleId(int roleId)

  Setter para el atributo roleId.

  Parameters:
    `roleId` - Nuevo Valor del atributo roleId.

### getRoleName

    public java.lang.String getRoleName()

  Getter para el atributo roleName.

  Returns:
    Valor del atributo roleName.

### setRoleName

    public void setRoleName(java.lang.String roleName)

  Setter para el atributo roleName.

  Parameters:
    `roleName` - Nuevo Valor del atributo roleName.

### getPhoneNumber

    public java.lang.String getPhoneNumber()

  Getter para el atributo phoneNumber

  Returns:
    Returns the phoneNumber.

### setPhoneNumber

    public void setPhoneNumber(java.lang.String phoneNumber)

  Setter para el atributo phoneNumber

  Parameters:
    `phoneNumber` - The phoneNumber to set.

### getCompanyId

    public int getCompanyId()

  Getter for property companyId.

  Returns:
    Value of property companyId.

### setCompanyId

    public void setCompanyId(int companyId)

  Setter for property companyId.

  Parameters:
    `companyId` - New value of property companyId.

### getPositionId

    public int getPositionId()

  Getter for property positionId.

  Returns:
    Value of property positionId.

### setPositionId

    public void setPositionId(int positionId)

  Setter for property positionId.

  Parameters:
    `positionId` - New value of property positionId.

### getPositionName

    public java.lang.String getPositionName()

  Getter for property positionName.

  Returns:
    Value of property positionName.

### setPositionName

    public void setPositionName(java.lang.String positionName)

  Setter for property positionName.

  Parameters:
    `positionName` - New value of property positionName.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD